// 'ThemeFlood' is the global object for media theme functions
var ThemeFlood = {};
// Reduce potential conflicts with other scripts on the page
ThemeFlood.jQuery = jQuery.noConflict(true);
var $ThemeFlood = ThemeFlood.jQuery;
// Create a unique object and namespace for theme functions
ThemeFlood.themeFunctions = {};
// Define a closure
ThemeFlood.themeFunctions = (function() {
    // When jQuery is used it will be available as $ and jQuery but only inside the closure
    var jQuery = ThemeFlood.jQuery;
    var $ = jQuery;
	var $ThemeFlood = jQuery.noConflict();

	!function(e){"use strict";e.fn.meanmenu=function(n){var a={meanMenuTarget:$ThemeFlood(this),meanMenuContainer:"body",meanMenuClose:"<span /><span /><span />",meanMenuCloseSize:"36px",meanMenuOpen:"<span /><span /><span />",meanRevealPosition:"right",meanRevealPositionDistance:"0",meanRevealColour:"",meanScreenWidth:"783",meanNavPush:"",meanShowChildren:!0,meanExpandableChildren:!0,meanExpand:"+",meanContract:"-",meanRemoveAttrs:!1,onePage:!1,removeElements:""};n=e.extend(a,n);var t=window.innerWidth||document.documentElement.clientWidth;return this.each(function(){var e=n.meanMenuTarget,a=n.meanMenuContainer,r=n.meanMenuClose,i=n.meanMenuCloseSize,u=n.meanMenuOpen,m=n.meanRevealPosition,s=n.meanRevealPositionDistance,o=n.meanRevealColour,l=n.meanScreenWidth,c=n.meanNavPush,d=".meanmenu-reveal",v=n.meanShowChildren,h=n.meanExpandableChildren,y=n.meanExpand,j=n.meanContract,Q=n.meanRemoveAttrs,f=n.onePage,g=n.removeElements,p=!1;(navigator.userAgent.match(/iPhone/i)||navigator.userAgent.match(/iPod/i)||navigator.userAgent.match(/iPad/i)||navigator.userAgent.match(/Android/i)||navigator.userAgent.match(/Blackberry/i)||navigator.userAgent.match(/Windows Phone/i))&&(p=!0),(navigator.userAgent.match(/MSIE 8/i)||navigator.userAgent.match(/MSIE 7/i))&&$ThemeFlood("html").css("overflow-y","scroll");var C="",w=function(){if("center"===m){var e=window.innerWidth||document.documentElement.clientWidth,n=e/2-22+"px";C="left:"+n+";right:auto;",p?$ThemeFlood(".meanmenu-reveal").animate({left:n}):$ThemeFlood(".meanmenu-reveal").css("left",n)}},x=!1,E=!1;"right"===m&&(C="right:"+s+";left:auto;"),"left"===m&&(C="left:"+s+";right:auto;"),w();var A="",M=function(){A.html($ThemeFlood(A).is(".meanmenu-reveal.meanclose")?r:u)},P=function(){$ThemeFlood(".mean-bar,.mean-push").remove(),$ThemeFlood(a).removeClass("mean-container"),$ThemeFlood(e).show(),x=!1,E=!1,$ThemeFlood(g).removeClass("mean-remove")},W=function(){var n="background:"+o+";color:"+o+";"+C;if(l>=t){$ThemeFlood(g).addClass("mean-remove"),E=!0,$ThemeFlood(a).addClass("mean-container"),$ThemeFlood(".mean-container").prepend('<div class="mean-bar"><a href="#nav" class="meanmenu-reveal" style="'+n+'">Show Navigation</a><nav class="mean-nav"></nav></div>');var r=$ThemeFlood(e).html();$ThemeFlood(".mean-nav").html(r),Q&&$ThemeFlood("nav.mean-nav ul, nav.mean-nav ul *").each(function(){$ThemeFlood(this).removeAttr("class"),$ThemeFlood(this).removeAttr("id")}),$ThemeFlood(e).before('<div class="mean-push" />'),$ThemeFlood(".mean-push").css("margin-top",c),$ThemeFlood(e).hide(),$ThemeFlood(".meanmenu-reveal").show(),$ThemeFlood(d).html(u),A=$ThemeFlood(d),$ThemeFlood(".mean-nav ul").hide(),v?h?($ThemeFlood(".mean-nav ul ul").each(function(){$ThemeFlood(this).children().length&&$ThemeFlood(this,"li:first").parent().append('<a class="mean-expand" href="#" style="font-size: '+i+'">'+y+"</a>")}),$ThemeFlood(".mean-expand").on("click",function(e){e.preventDefault(),$ThemeFlood(this).hasClass("mean-clicked")?($ThemeFlood(this).text(y),$ThemeFlood(this).prev("ul").slideUp(300,function(){})):($ThemeFlood(this).text(j),$ThemeFlood(this).prev("ul").slideDown(300,function(){})),$ThemeFlood(this).toggleClass("mean-clicked")})):$ThemeFlood(".mean-nav ul ul").show():$ThemeFlood(".mean-nav ul ul").hide(),$ThemeFlood(".mean-nav ul li").last().addClass("mean-last"),A.removeClass("meanclose"),$ThemeFlood(A).click(function(e){e.preventDefault(),x===!1?(A.css("text-align","center"),A.css("text-indent","0"),A.css("font-size",i),$ThemeFlood(".mean-nav ul:first").slideDown(),x=!0):($ThemeFlood(".mean-nav ul:first").slideUp(),x=!1),A.toggleClass("meanclose"),M(),$ThemeFlood(g).addClass("mean-remove")}),f&&$ThemeFlood(".mean-nav ul > li > a:first-child").on("click",function(){$ThemeFlood(".mean-nav ul:first").slideUp(),x=!1,$ThemeFlood(A).toggleClass("meanclose").html(u)})}else P()};p||$ThemeFlood(window).resize(function(){t=window.innerWidth||document.documentElement.clientWidth,P(),l>=t?(W(),w()):P()}),$ThemeFlood(window).resize(function(){t=window.innerWidth||document.documentElement.clientWidth,p?(w(),l>=t?E===!1&&W():P()):(P(),l>=t&&(W(),w()))}),W()})}}(jQuery),jQuery.noConflict(),$ThemeFlood(document).ready(function(e){for(var n=0;10>=n;)e("#myExtraContent"+n+" script").remove(),e("#myExtraContent"+n).appendTo("#extraContainer"+n),n++});

	$ThemeFlood(document).ready(function () {
		$ThemeFlood('#cssmenu').meanmenu();
	});

	// FreeStyle banners
	$ThemeFlood(document).ready(function(){
		$ThemeFlood('#fs').appendTo('#freeStyle');
		$ThemeFlood("img[src$='banner.jpg'], img[src$='Banner.jpg'], img[src$='header.jpg'], img[src$='Header.jpg'], img[src$='freestyle.jpg'], img[src$='Freestyle.jpg'], img[src$='freestyle.jpg'], img[src$='FreeStyle.jpg']").appendTo('#freeStyle');                                           
	});

	// RapidWeaver 7 banners
	$ThemeFlood(document).ready(function(){
		if ($ThemeFlood("#rwBanner").attr('data-rwbanner') === '%banner_path%') {
			// If the data attribute is equal to %banner_path%, assume the theme is being used in RW6 or less, so do nothing
		} else {
			// Otherwise assume the theme is being used in RW7+ so replace the blank fallback image with the banner image from the data attribute
			var bannerSrc = $ThemeFlood("#rwBanner").attr('data-rwbanner');
			var bannerAlt = $ThemeFlood("#rwBanner").attr('data-alt');
			$ThemeFlood("#rwBanner").append('<img src="' + bannerSrc + '" alt="' + bannerAlt + '" class="freeStyleBannerImage"/>');
			$ThemeFlood('body').addClass('activeBanner');
		}
		// Additionally, let's hide blank GIF images so they don't trouble us any more
		$ThemeFlood('#rwBanner img[src*="images/blank.gif"]').each(function(i) {
			$ThemeFlood(this).addClass('blankHiddenBannerImage').hide();
		})
	});

})(ThemeFlood.themeFunctions);